# rawmsg

Provides the received message exactly as rsyslog stored it.

This property belongs to the Message Properties group.

Name:

  rawmsg

Category:

  Message Properties

Type:

  string

## Description

The message “as is”. Should be useful for debugging and also if a message should be forwarded totally unaltered. Please notice EscapecontrolCharactersOnReceive is enabled by default, so it may be different from what was received in the socket.

## Usage

    template(name="example" type="list") {
        property(name="rawmsg")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.